Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029746
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2015-04-30 10:262015-11-30 10:40
ReporteralostaleView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision2ecc34ec6e7d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029746: unneded FIC request on record selection in some windows

DescriptionIn some windows (detected in Discounts and Promotions) an unneeded EDIT request is performed to FIC when a record is selected in grid view.

In other windows (such as Sales Order) a singe SETSESSION request is done, which is correct.
Steps To ReproduceIn a retail instance (ie. https://livebuilds.openbravo.com/retail_stable_pgsql_pi [^])

 1. Login with White Valley Group Admin role
 2. Go to Discounts and Promotions window
 3. Select any row in grid view
     --> 2 FIC requests are done for that record:
             -one in SETSESSION mode (ok)
             -another one in EDIT mode (not needed)
 4. This happens also for subtabs: Open product subtab
     --> 2 FIC requests are done for that record:
             -one in SETSESSION mode (ok)
             -another one in EDIT mode (not needed)
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00205223.0MP12 closedguilleaer Attachment icon does not work fine in grid view 
related to defect 00187113.0MP4 closedmtaal Session variables are not set in grid mode 
related to defect 0037857 closedcaristu Wrong FIC Request after selecting all records in a grid with hundreds of lines 

-  Notes
(0076918)
shuehner (administrator)
2015-04-30 14:51

Minor comment: on top of the reported behavior the order of the two param mode + the prvious one is swapped comparing that edit+setsession.

Harmless but not reason to hae different also
(0081911)
hgbot (developer)
2015-11-17 08:55

Repository: erp/devel/pi
Changeset: 2ecc34ec6e7d8006ef4cbfb2cee9872bbc0473c8
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Nov 17 08:49:16 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2ecc34ec6e7d8006ef4cbfb2cee9872bbc0473c8 [^]

fixes issue 29746: unneded FIC request on record selection in some windows

This problem happens on those windows which do not have buttons on the right side of the toolbar. The EDIT request was introduced to solve issue 0018711 in order to set the session variables in grid mode. This called was done through this.view.setContextInfo();. Then after fixing issue 0020522 the second call in SETSESSION mode was introduced.

To avoid the call in EDIT mode we have just removed the call to this.view.setContextInfo();. This way just the call in SETSESSION mode is performed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0082245)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082463)
alostale (developer)
2015-11-30 10:40

code reviewed

tested also issues 0018711 and 0020522

- Issue History
Date Modified Username Field Change
2015-04-30 10:26 alostale New Issue
2015-04-30 10:26 alostale Assigned To => platform
2015-04-30 10:26 alostale Modules => Core
2015-04-30 10:26 alostale Triggers an Emergency Pack => No
2015-04-30 10:27 alostale Tag Attached: Performance
2015-04-30 14:50 shuehner Issue Monitored: shuehner
2015-04-30 14:51 shuehner Note Added: 0076918
2015-05-07 12:16 alostale Status new => acknowledged
2015-11-11 11:34 alostale Priority urgent => high
2015-11-16 14:13 caristu Assigned To platform => caristu
2015-11-16 14:13 caristu Status acknowledged => scheduled
2015-11-16 16:57 caristu Relationship added related to 0020522
2015-11-16 16:57 caristu Relationship added related to 0018711
2015-11-17 08:51 caristu Review Assigned To => alostale
2015-11-17 08:51 caristu Issue Monitored: alostale
2015-11-17 08:55 hgbot Checkin
2015-11-17 08:55 hgbot Note Added: 0081911
2015-11-17 08:55 hgbot Status scheduled => resolved
2015-11-17 08:55 hgbot Resolution open => fixed
2015-11-17 08:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2ecc34ec6e7d8006ef4cbfb2cee9872bbc0473c8 [^]
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082245
2015-11-30 10:40 alostale Note Added: 0082463
2015-11-30 10:40 alostale Status resolved => closed
2015-11-30 10:40 alostale Fixed in Version => 3.0PR16Q1
2018-02-08 09:26 caristu Relationship added related to 0037857


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker